;; Customized Variables. Use the customization menu for changing.
;; Menu:Options->Customization
(require 'custom)

(custom-set-variables
 '(Info-additional-search-directory-list (quote ("/usr/share/info/xemacs-21.1.8")))
 '(font-menu-ignore-scaled-fonts nil)
 '(mwheel-follow-mouse t)
 '(ps-paper-type (quote a4))
 '(paren-mode (quote blink-paren) nil (paren))
 '(c-strict-syntax-p t)
 '(font-lock-mode-enable-list nil)
 '(default-input-method "japanese-skk")
 '(startup-in-default-input-method nil)
 '(column-number-mode t)
 '(gnuserv-program (concat exec-directory "/gnuserv"))
 '(c-echo-syntactic-information-p t)
 '(install-mwheel-at-startup t)
 '(line-number-mode t)
 '(Manual-use-rosetta-man t)
 '(minibuffer-max-depth nil)
 '(font-lock-mode t nil (font-lock)))

(custom-set-faces
 '(default ((t (:foreground "white" :background "black"))) t)
 '(info-xref ((t (:foreground "lightblue" :background "gray25" :bold t))))
 '(custom-set-face ((((class color)) (:foreground "lightblue" :background "gray25"))))
 '(gui-button-face ((t (:foreground "black" :background "grey50" :inverse-video t))) t)
 '(info-node ((t (:foreground "lightblue" :background "gray25" :size "16" :italic t))))
 '(widget-field-face ((((class grayscale color) (background light)) (:background "gray15"))))
 '(strokes-char-face ((t (:background "gray30"))))
 '(man-bold ((t (:foreground "Cornflowerblue" :bold t))))
 '(custom-variable-tag-face ((((class color) (background light)) (:foreground "lightblue" :underline t))))
 '(man-italic ((t (:foreground "Sandybrown" :size "16" :italic t))))
 '(font-lock-doc-string-face ((((class color) (background light)) (:foreground "green3"))))
 '(font-lock-preprocessor-face ((((class color) (background light)) (:foreground "coral"))))
 '(man-heading ((t (:foreground "IndianRed" :size "14" :underline t))))
 '(man-xref ((t (:foreground "lightblue" :background "Gray25" :underline t))))
 '(bold ((t (:foreground "lemonchiffon1" :bold t))) t)
 '(primary-selection ((t (:background "gray35"))) t)
 '(blue ((t (:foreground "skyblue1"))) t)
 '(ediff-even-diff-face-Ancestor ((((class color)) (:foreground "White" :background "Grey"))))
 '(list-mode-item-selected ((t (:background "gray50"))) t)
 '(font-lock-comment-face ((((class color) (background light)) (:foreground "skyblue2"))))
 '(isearch ((t (:background "paleturquoise4"))) t)
 '(highlight ((t (:background "darkseagreen4"))) t))

;; install mwheel.
;;
(defcustom install-mwheel-at-startup nil
  "If set to non-nil, mwheel will be installed at startup.
Mwheel will enable the use of the infamous 'wheel' on the new crop of mice."
  :group 'mouse
  :type 'boolean)

(autoload 'mwheel-install "mwheel" "Enable mouse wheel support.")
(if install-mwheel-at-startup
    (mwheel-install))

;; preselect default input method.
;;
(require 'mule)
(defcustom startup-in-default-input-method nil
  "If set to non-nil, input-method will be activated at startup."
  :group 'mule
  :type 'boolean)
(if startup-in-default-input-method
    (select-input-method default-input-method))

